Overview
GET
/chat/chat-participants/{id}chatGet chat_participants by id
Fetch a record from chat-participants by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Responses
200
chat_participants
- idstring
- ecosystemIdstring
- chatIdstring
- participantIdstring
- typestring
- rolestring
- statestring
- joinedAtstring
- stateChangedAtstring
- contactIdstring?
- lastReadMessageIdstring?
- createdAtstring
- updatedAtstring
Example
{
"id": "string",
"ecosystemId": "string",
"chatId": "string",
"participantId": "string",
"type": "string",
"role": "string",
"state": "string",
"joinedAt": "string",
"stateChangedAt": "string",
"contactId": "string",
"lastReadMessageId": "string",
"createdAt": "string",
"updatedAt": "string"
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/chat/chat-participants/{id}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/chat/chat-participants/{id}", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();